From: "Davide Pesavento" <pesa@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/qbs/
Date: Mon, 30 Apr 2018 03:09:41 +0000 (UTC) [thread overview]
Message-ID: <1525057770.f7476b34e47b693e304aa3e404f5fe85fe2a9f8f.pesa@gentoo> (raw)
commit: f7476b34e47b693e304aa3e404f5fe85fe2a9f8f
Author: Asgeir Bjarni Ingvarsson <asgeir <AT> fundinn <DOT> org>
AuthorDate: Mon Apr 30 02:15:37 2018 +0000
Commit: Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Mon Apr 30 03:09:30 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7476b34
dev-util/qbs: 1.11 version bump
Closes: https://github.com/gentoo/gentoo/pull/8209
Package-Manager: Portage-2.3.31, Repoman-2.3.9
dev-util/qbs/Manifest | 1 +
dev-util/qbs/qbs-1.11.0.ebuild | 120 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 121 insertions(+)
diff --git a/dev-util/qbs/Manifest b/dev-util/qbs/Manifest
index 44d5445ca18..f646edf215f 100644
--- a/dev-util/qbs/Manifest
+++ b/dev-util/qbs/Manifest
@@ -1 +1,2 @@
DIST qbs-src-1.10.1.tar.gz 4140847 BLAKE2B cbd9770d426fdf70645f5c40fbc8956309845980776b920a0e5e612d0cbf63a9a1352e5ab43a98afd9a5a9db396d0b7bbd840b4581787aaafabad0982c6edca8 SHA512 e2019f59124cf8409c12bc108982f1c4c99dcff9d6272c26bee9d690327dea28990c4081857b1b2bfec57e3b557d83e0b8085823dbd4d0988c483d971dc06bac
+DIST qbs-src-1.11.0.tar.gz 4299668 BLAKE2B b17e5d0e65fd0c29bf7837d53eb5c5470e6f3a243b4cbd215a528c6657e5c4831e49b369034133f784122e358cce723bd78b26df8bd580ed570a71590a73af7d SHA512 123319aca79c4816fcfd839a7c7f3029c55eac4dc2c2a2bae7df891c15ef81de22bb7f6ad04bbdb39401473a3df15e41b88adcd0d5d2462c2ef3e62bf5e0f80a
diff --git a/dev-util/qbs/qbs-1.11.0.ebuild b/dev-util/qbs/qbs-1.11.0.ebuild
new file mode 100644
index 00000000000..bfadc6296da
--- /dev/null
+++ b/dev-util/qbs/qbs-1.11.0.ebuild
@@ -0,0 +1,120 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit qmake-utils
+
+MY_P=${PN}-src-${PV}
+
+DESCRIPTION="Modern build tool for software projects"
+HOMEPAGE="https://wiki.qt.io/Qbs"
+SRC_URI="http://download.qt.io/official_releases/${PN}/${PV}/${MY_P}.tar.gz"
+
+LICENSE="|| ( LGPL-2.1 LGPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="doc examples test"
+
+# see bug 581874 for the qttest dep in RDEPEND
+RDEPEND="
+ dev-qt/qtcore:5=
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtscript:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ test? ( dev-qt/qttest:5 )
+"
+DEPEND="${RDEPEND}
+ doc? (
+ dev-qt/qdoc:5
+ dev-qt/qthelp:5
+ )
+ test? ( dev-qt/qtdeclarative:5 )
+"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ default
+
+ # don't add /usr/include to INCLUDEPATH
+ # avoids a build failure in qt-creator with gcc-6 (bug 618424)
+ sed -i -e '/^INCLUDEPATH/ s:$${PWD}/\.\.::' src/lib/corelib/use_installed_corelib.pri || die
+
+ if ! use examples; then
+ sed -i -e '/INSTALLS +=/ s:examples::' static.pro || die
+ fi
+
+ # the qbsres target uses the newly built qbs binary, so we have to tell it where to find its libraries
+ sed -i -e '/qbsres\.commands =/ a\LD_LIBRARY_PATH=$$shell_quote($$shell_path($$QBS_LIBRARY_DIRNAME)) \\' \
+ static-res.pro || die
+
+ echo "SUBDIRS = $(usex test auto '')" >> tests/tests.pro
+
+ # since 1.10, TestApi is either broken or requires more configuration
+ sed -i -e '/\<api\>/ d' tests/auto/auto.pro || die
+
+ # skip several tests that fail and/or have additional deps
+ sed -i \
+ -e 's/findArchiver("7z")/""/' `# requires p7zip, fails` \
+ -e 's/findArchiver(binaryName,.*/"";/' `# requires zip and jar` \
+ -e 's/p\.value("nodejs\./true||&/' `# requires nodejs, bug 527652` \
+ -e 's/\(p\.value\|m_qbsStderr\.contains\)("typescript\./true||&/' `# requires nodejs and typescript` \
+ tests/auto/blackbox/tst_blackbox.cpp || die
+
+ # requires jdk, fails, bug 585398
+ sed -i -e '/blackbox-java\.pro/ d' tests/auto/auto.pro || die
+}
+
+src_configure() {
+ local myqmakeargs=(
+ qbs.pro # bug 523218
+ -recursive
+ CONFIG+=qbs_disable_rpath
+ CONFIG+=qbs_enable_project_file_updates
+ $(usex test 'CONFIG+=qbs_enable_unit_tests' '')
+ QBS_INSTALL_PREFIX="${EPREFIX}/usr"
+ QBS_LIBRARY_DIRNAME="$(get_libdir)"
+ )
+ eqmake5 "${myqmakeargs[@]}"
+}
+
+src_test() {
+ einfo "Setting up test environment in ${T}"
+
+ export HOME=${T}
+ export LD_LIBRARY_PATH=${S}/$(get_libdir)
+
+ "${S}"/bin/qbs-setup-toolchains /usr/bin/gcc gcc || die
+ "${S}"/bin/qbs-setup-qt "$(qt5_get_bindir)/qmake" qbs_autotests || die
+
+ einfo "Running autotests"
+
+ # simply exporting LD_LIBRARY_PATH doesn't work
+ # we have to use a custom testrunner script
+ local testrunner=${WORKDIR}/gentoo-testrunner
+ cat <<-EOF > "${testrunner}"
+ #!/bin/sh
+ export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}\${LD_LIBRARY_PATH:+:}\${LD_LIBRARY_PATH}"
+ exec "\$@"
+ EOF
+ chmod +x "${testrunner}"
+
+ emake TESTRUNNER="'${testrunner}'" check
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+
+ dodoc -r changelogs
+
+ # install documentation
+ if use doc; then
+ emake docs
+ dodoc -r doc/qbs/html
+ dodoc doc/qbs.qch
+ docompress -x /usr/share/doc/${PF}/qbs.qch
+ fi
+}
next reply other threads:[~2018-04-30 3:09 UTC|newest]
Thread overview: 83+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-04-30 3:09 Davide Pesavento [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-27 10:52 [gentoo-commits] repo/gentoo:master commit in: dev-util/qbs/ Ionen Wolkens
2025-03-13 8:59 Sam James
2025-02-22 3:07 Ionen Wolkens
2025-01-24 7:43 Ionen Wolkens
2025-01-24 7:43 Ionen Wolkens
2024-12-25 22:19 Jakov Smolić
2024-12-03 8:58 Ionen Wolkens
2024-11-04 16:15 Ionen Wolkens
2024-10-22 8:04 Jakov Smolić
2024-10-02 4:35 Ionen Wolkens
2024-09-25 12:48 Joonas Niilola
2024-09-13 23:25 Ionen Wolkens
2024-08-31 13:53 Ionen Wolkens
2024-05-30 15:52 Ionen Wolkens
2024-05-13 5:49 Ionen Wolkens
2024-05-12 20:25 Ionen Wolkens
2024-05-07 19:34 Ionen Wolkens
2024-05-05 2:41 Ionen Wolkens
2024-05-05 2:41 Ionen Wolkens
2023-08-30 6:33 Sam James
2022-08-08 9:40 Andreas Sturmlechner
2021-07-10 21:00 Davide Pesavento
2021-07-10 21:00 Davide Pesavento
2021-01-13 7:02 Davide Pesavento
2021-01-13 7:02 Davide Pesavento
2020-06-30 23:31 Davide Pesavento
2020-01-03 5:57 Davide Pesavento
2020-01-03 5:57 Davide Pesavento
2019-11-28 19:24 Davide Pesavento
2019-11-28 18:53 Davide Pesavento
2019-06-23 18:51 Davide Pesavento
2019-06-23 0:49 Davide Pesavento
2019-06-07 5:10 Davide Pesavento
2019-06-07 5:10 Davide Pesavento
2019-04-28 19:37 Davide Pesavento
2018-12-23 18:42 Davide Pesavento
2018-12-15 22:01 Davide Pesavento
2018-07-20 4:46 Davide Pesavento
2018-07-20 2:58 Davide Pesavento
2018-07-20 2:58 Davide Pesavento
2018-05-13 3:26 Davide Pesavento
2018-04-30 3:09 Davide Pesavento
2018-03-24 1:29 Davide Pesavento
2018-03-24 1:25 Davide Pesavento
2018-03-16 20:07 Davide Pesavento
2018-01-23 23:06 Davide Pesavento
2017-12-11 1:23 Davide Pesavento
2017-10-05 19:33 Davide Pesavento
2017-10-05 19:08 Davide Pesavento
2017-09-16 21:02 Davide Pesavento
2017-09-16 21:02 Davide Pesavento
2017-08-19 17:15 Davide Pesavento
2017-07-18 18:43 Davide Pesavento
2017-07-18 18:23 Davide Pesavento
2017-05-27 16:48 Davide Pesavento
2017-05-27 0:25 Davide Pesavento
2017-05-26 10:30 David Seifert
2017-05-26 10:00 David Seifert
2017-05-26 5:00 Davide Pesavento
2017-03-14 22:33 Davide Pesavento
2016-12-17 5:06 Davide Pesavento
2016-11-22 9:08 Davide Pesavento
2016-11-21 20:18 Davide Pesavento
2016-09-11 11:44 Davide Pesavento
2016-07-09 14:06 Davide Pesavento
2016-06-16 15:03 Davide Pesavento
2016-06-16 13:57 Michael Palimaka
2016-06-16 11:31 Davide Pesavento
2016-06-16 6:07 Patrick Lauer
2016-06-16 0:57 Davide Pesavento
2016-06-10 1:45 Davide Pesavento
2016-06-10 1:45 Davide Pesavento
2016-06-10 0:54 Davide Pesavento
2016-06-10 0:54 Davide Pesavento
2016-05-12 17:39 Davide Pesavento
2016-05-12 14:13 Davide Pesavento
2016-05-12 14:13 Davide Pesavento
2016-04-02 18:40 Davide Pesavento
2015-12-17 2:34 Davide Pesavento
2015-11-20 0:04 Davide Pesavento
2015-10-18 1:48 Davide Pesavento
2015-09-13 23:00 Davide Pesavento
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1525057770.f7476b34e47b693e304aa3e404f5fe85fe2a9f8f.pesa@gentoo \
--to=pesa@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox